// Oleg Petruny proprietary.

#include "SawInteractableModificator.h"

#include "Interactable/Interactable.h"

USawInteractableModificator::USawInteractableModificator(const FObjectInitializer& ObjectInitializer)
    : UInteractableModificator(ObjectInitializer)
{
    activatorTypes |= static_cast<uint8>(EActivatorType::Saw);
}

void USawInteractableModificator::Bind_Implementation(class UEnhancedInputComponent* input)
{
    OnSaw.Broadcast();
}
